// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class StackOfBoardsNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new StackOfBoardsNAddonDeed();
			}
		}

		[ Constructable ]
		public StackOfBoardsNAddon()
		{
			AddComponent( new AddonComponent( 7132 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7132 );
			AddComponent( ac, 0, 0, 0 );

		}

		public StackOfBoardsNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class StackOfBoardsNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new StackOfBoardsNAddon();
			}
		}

		[Constructable]
		public StackOfBoardsNAddonDeed()
		{
			Name = "StackOfBoardsN";
		}

		public StackOfBoardsNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}